ARGPARSE-MANPAGE(1)

NAME
argparse-manpage

SYNOPSIS
argparse-manpage [-h] (--module MODULE | --pyfile PYFILE) (--function FUNCTION | --object OBJECT) [--project-name PROJECT_NAME] [--prog PROG] [--version VERSION] [--description TEXT] [--author [AUTHOR]] [--url URL] [--format {pretty,single-commands-section}] [--output OUTFILE] [--manual-section MANUAL_SECTION] [--manual-title MANUAL_TITLE] [--include FILE] [--manfile FILE]

DESCRIPTION
Build manual page from Python's argparse.ArgumentParser object.

OPTIONS

--module MODULE
    search the OBJECT/FUNCTION in MODULE

--pyfile PYFILE
    search the OBJECT/FUNCTION in FILE

--function FUNCTION
    call FUNCTION from MODULE/FILE to obtain ArgumentParser object

--object OBJECT
    obtain ArgumentParser OBJECT from FUNCTION (to get argparse object) from MODULE or FILE

--project-name PROJECT_NAME
    Name of the project the documented program is part of.

--prog PROG
    Substitutes %prog in ArgumentParser's usage.

--version VERSION
    Version of the program, will be visible in the manual page footer.

--description TEXT
    description of the program, used in the NAME section, after the leading 'name - ' part, see man (7) man-pages for more info

--author [AUTHOR]
    Author of the program. Can be specified multiple times.

--url URL
    Link to project's homepage

--format {pretty,single-commands-section}
    Format of the generated man page. Defaults to 'pretty'.

--output OUTFILE
    Output file. Defaults to stdout.

--manual-section MANUAL_SECTION
    Section of the manual, by default 1. See man (7) man-pages for more info about existing sections.

--manual-title MANUAL_TITLE
    The title of the manual, by default "Generated Python Manual". See man (7) man-pages for more instructions.

--include FILE
    File that contains extra material for the man page.

--manfile FILE
    File containing a complete man page.

AUTHOR
Gabriele Giammatteo <gabriele.giammatteo@eng.it>

DISTRIBUTION
The latest version of argparse-manpage may be downloaded from https://github.com/praiskup/argparse-manpage